package com.unissoft.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.unissoft.MyConstant;
import com.unissoft.model.SysUserPO;
import org.springframework.security.jwt.Jwt;
import org.springframework.security.jwt.JwtHelper;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2020年12月12日 12:32
 */
@Component
public class UserUtils {

    public static SysUserPO getCurrUserInfo() {
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        HttpServletRequest request = attributes.getRequest();
        SysUserPO loginUser = null;
        if (request != null && !StringUtils.isEmpty(request.getHeader(MyConstant.AUTHORIZATION))) {
            // 只携带token
            String authorization = request.getHeader(MyConstant.AUTHORIZATION).replace("bearer ","");
            Jwt decode = JwtHelper.decode(authorization);
            String claims = decode.getClaims();
            JSONObject jsonObject = JSON.parseObject(claims);
            Map<String, String> jsonMap = JSONObject.toJavaObject(jsonObject, Map.class);
            JSONObject user = JSON.parseObject(jsonMap.get("user_name"));
            loginUser = JSONObject.toJavaObject(user, SysUserPO.class);
        }
        return loginUser;
    }
}
