package com.unissoft.webConfig.service.impl;

import com.unissoft.exception.StudentException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2021年02月05日 10:15
 */
public interface TokenService {

    /**
     * 创建token
     *
     * @return
     */
    public String createToken();

    /**
     * 检验token
     *
     * @param request
     * @return
     */
    public boolean checkToken(HttpServletRequest request) throws StudentException;

    /**
     * 限制请求次数
     * @param request
     * @param response
     * @param accessLimit
     * @return
     * @throws IOException
     */
    public boolean getAccessLimit(HttpServletRequest request, HttpServletResponse response, AccessLimit accessLimit) throws IOException;
}
